com.hazelcast.client

## Class ClientTypes

- java.lang.Object
- - com.hazelcast.client.ClientTypes

-     @PrivateApi
      public final class ClientTypes
      extends Object

  Constants class that contains the different types of clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CPP` CPP client protocol ID
    `static String` | `CSHARP` CSHARP client protocol ID
    `static String` | `GO` Go client protocol ID
    `static String` | `JAVA` JVM clients protocol ID
    `static String` | `NODEJS` Node.JS client protocol ID
    `static String` | `PYTHON` PYTHON client protocol ID
    `static String` | `RUBY` RUBY client protocol ID
    `static int` | `TYPE_LENGTH` Length of type information in bytes

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_LENGTH

          public static final int TYPE_LENGTH

      Length of type information in bytes
      See Also:
        Constant Field Values

    - #### JAVA

          public static final String JAVA

      JVM clients protocol ID
      See Also:
        Constant Field Values

    - #### CSHARP

          public static final String CSHARP

      CSHARP client protocol ID
      See Also:
        Constant Field Values

    - #### CPP

          public static final String CPP

      CPP client protocol ID
      See Also:
        Constant Field Values

    - #### PYTHON

          public static final String PYTHON

      PYTHON client protocol ID
      See Also:
        Constant Field Values

    - #### RUBY

          public static final String RUBY

      RUBY client protocol ID
      See Also:
        Constant Field Values

    - #### NODEJS

          public static final String NODEJS

      Node.JS client protocol ID
      See Also:
        Constant Field Values

    - #### GO

          public static final String GO

      Go client protocol ID
      See Also:
        Constant Field Values

Copyright © 2018. All rights reserved.